enum BTN {
    //% block="1"
    1,
    //% block="2"
    2,
    //% block="3"
    3,
    //% block="4"
    4,
    //% block="5"
    5,
    //% block="6"
    6,
    //% block="7"
    7,
    //% block="8"
    8,
    //% block="9"
    9,
    //% block="10"
    10,
    //% block="11"
    11,
    //% block="12"
    12,
    //% block="13"
    13,
    //% block="14"
    14,
    //% block="15"
    15,
    //% block="16"
    16,
    //% block="17"
    17,
    //% block="18"
    18,
    //% block="19"
    19,
    //% block="20"
    20
}

enum SER {
    //% block="P16"
    1,
    //% block="P15"
    2
}



//% color="#00AAAA" iconWidth=50 iconHeight=40
namespace asr {
    //% block="初始化asr传感器[ser]" blockType="command"
    //% ser.shadow="dropdown"   ser.options="SER"     ser.defl="SER.P16"
    export function aasr1(parameter: any, block: any) {
            let ser = parameter.ser.code;

            if(ser==1){
                Generator.addObject(`asr01`, `volatile float`, `asr_num;`);        
                Generator.addSetupMainTop("asr.begin", "Serial1.begin(9600, P16, P15);");           
            }else{
                Generator.addObject(`asr01`, `volatile float`, `asr_num;`);        
                Generator.addSetupMainTop("asr.begin", "Serial1.begin(9600, P15, P16);");
            }

    }


    //% block="听取语音输入" blockType="command"
    export function aasr2(parameter: any, block: any) {
        Generator.addCode(`asr_num = -1;`);
        Generator.addCode(`if (Serial1.available()) {`);
        Generator.addCode(`asr_num = Serial1.read();`);
        Generator.addCode(`}`);
    }



    //% block="语音指令[btn]" blockType="boolean"
    //% btn.shadow="dropdown"   btn.options="BTN"     btn.defl="BTN.1"
    export function aasr3(parameter: any) {
        let btn = parameter.btn.code;
        Generator.addCode(`asr_num==${btn}`);
    }



}
